<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Relabel factor of election parties — fct_relabel_election_parties • fokus</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Relabel factor of election parties — fct_relabel_election_parties"><meta name="description" content="Relabels a factor that contains election parties from/to the different FOKUS election party name types."><meta property="og:description" content="Relabels a factor that contains election parties from/to the different FOKUS election party name types."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">fokus</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9025</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-articles" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true">Articles</button>
  <ul class="dropdown-menu" aria-labelledby="dropdown-articles"><li><a class="dropdown-item" href="../articles/raw_qstnr_schema.html">FOKUS questionnaire schema</a></li>
  </ul></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/fokus/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Relabel factor of election parties</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/fokus/blob/HEAD/R/fokus.gen.R" class="external-link"><code>R/fokus.gen.R</code></a></small>
      <div class="d-none name"><code>fct_relabel_election_parties.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Relabels a <a href="https://rdrr.io/r/base/factor.html" class="external-link">factor</a> that contains election parties from/to the different FOKUS election party name types.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">fct_relabel_election_parties</span><span class="op">(</span></span>
<span>  <span class="va">fct</span>,</span>
<span>  from_type <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="st">"qstnr"</span>, <span class="st">"run"</span>, <span class="st">"short"</span><span class="op">)</span>,</span>
<span>  to_type <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="st">"short"</span>, <span class="st">"run"</span>, <span class="st">"qstnr"</span><span class="op">)</span>,</span>
<span>  ballot_date <span class="op">=</span> <span class="fu">funky</span><span class="fu">::</span><span class="fu"><a href="https://funky.rpkg.dev/reference/config_val.html" class="external-link">config_val</a></span><span class="op">(</span><span class="st">"ballot_date"</span><span class="op">)</span>,</span>
<span>  lvl <span class="op">=</span> <span class="fu"><a href="lvls.html">lvls</a></span><span class="op">(</span><span class="va">ballot_date</span>, <span class="va">canton</span>, ballot_type <span class="op">=</span> <span class="st">"election"</span>, prcds <span class="op">=</span> <span class="st">"proportional"</span><span class="op">)</span>,</span>
<span>  canton <span class="op">=</span> <span class="fu"><a href="cantons.html">cantons</a></span><span class="op">(</span><span class="va">ballot_date</span><span class="op">)</span>,</span>
<span>  election_nr <span class="op">=</span> <span class="fl">1L</span>,</span>
<span>  past <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  strict <span class="op">=</span> <span class="cn">TRUE</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-fct">fct<a class="anchor" aria-label="anchor" href="#arg-fct"></a></dt>
<dd><p>Factor to be relabelled.</p></dd>


<dt id="arg-from-type">from_type<a class="anchor" aria-label="anchor" href="#arg-from-type"></a></dt>
<dd><p>Name type to convert from. One of <code>"qstnr"</code>, <code>"run"</code> or <code>"short"</code>.</p></dd>


<dt id="arg-to-type">to_type<a class="anchor" aria-label="anchor" href="#arg-to-type"></a></dt>
<dd><p>Name type to convert to. One of <code>"short"</code>, <code>"run"</code> or <code>"qstnr"</code>.</p></dd>


<dt id="arg-ballot-date">ballot_date<a class="anchor" aria-label="anchor" href="#arg-ballot-date"></a></dt>
<dd><p>FOKUS-covered ballot date. One of</p><ul><li><p><code>"2018-09-23"</code></p></li>
<li><p><code>"2018-11-25"</code></p></li>
<li><p><code>"2019-10-20"</code></p></li>
<li><p><code>"2020-09-27"</code></p></li>
<li><p><code>"2020-10-18"</code></p></li>
<li><p><code>"2021-11-28"</code></p></li>
<li><p><code>"2023-06-18"</code></p></li>
<li><p><code>"2024-10-20"</code></p></li>
</ul></dd>


<dt id="arg-lvl">lvl<a class="anchor" aria-label="anchor" href="#arg-lvl"></a></dt>
<dd><p>Political level. One of <code>"cantonal"</code> or <code>"federal"</code>.</p></dd>


<dt id="arg-canton">canton<a class="anchor" aria-label="anchor" href="#arg-canton"></a></dt>
<dd><p>FOKUS-covered canton name. One of</p><ul><li><p><code>"aargau"</code></p></li>
</ul></dd>


<dt id="arg-election-nr">election_nr<a class="anchor" aria-label="anchor" href="#arg-election-nr"></a></dt>
<dd><p>Election number. A positive integerish scalar.</p></dd>


<dt id="arg-past">past<a class="anchor" aria-label="anchor" href="#arg-past"></a></dt>
<dd><p>Whether to process the current or the predecessor election's parties.</p></dd>


<dt id="arg-strict">strict<a class="anchor" aria-label="anchor" href="#arg-strict"></a></dt>
<dd><p>Whether or not to strictly ensure that all of <code>fct</code> levels are matched by <a href="election_parties.html">known election parties</a>.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A factor.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p><code><a href="election_parties.html">election_parties()</a></code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="va">d</span> <span class="op">&lt;-</span> <span class="fu">fokus</span><span class="fu">::</span><span class="fu"><a href="read_survey_data.html">read_survey_data</a></span><span class="op">(</span>ballot_date <span class="op">=</span> <span class="st">"2024-10-20"</span>,</span></span>
<span class="r-in"><span>                             canton <span class="op">=</span> <span class="st">"aargau"</span>,</span></span>
<span class="r-in"><span>                             lang <span class="op">=</span> <span class="st">"de"</span><span class="op">)</span></span></span>
<span class="r-in"><span><span class="co"># before</span></span></span>
<span class="r-in"><span><span class="fu"><a href="https://rdrr.io/r/base/levels.html" class="external-link">levels</a></span><span class="op">(</span><span class="va">d</span><span class="op">$</span><span class="va">voting_decision_cantonal_proportional_election_1_party</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [1] "keine (leer eingelegt oder nicht teilgenommen)"               "Schweizerische Volkspartei (SVP)"                            </span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [3] "Sozialdemokratische Partei (SP) und JUSO"                     "FDP.Die Liberalen und Jungfreisinnige"                       </span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [5] "Die Mitte.Miteinander.Für den Aargau."                        "Grüne und Junge Grüne"                                       </span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [7] "Grünliberale Partei (GLP)"                                    "Evangelische Volkspartei (EVP)"                              </span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [9] "Eidgenössisch-Demokratische Union (EDU)"                      "Lösungs-Orientierte Volks-Bewegung (LOVB)"                   </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [11] "Piratenpartei Aargau (PPAG)"                                  "Fit – Freiheit"                                              </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [13] "NB – Neues Bewusstsein"                                       "DBP – DieBürgerPartei"                                       </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [15] "MASS-VOLL! Bewegung für Freiheit, Souveränität &amp; Grundrechte" "Musikpartei"                                                 </span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="va">fct_new</span> <span class="op">&lt;-</span> <span class="fu">fct_relabel_election_parties</span><span class="op">(</span></span></span>
<span class="r-in"><span>  fct <span class="op">=</span> <span class="va">d</span><span class="op">$</span><span class="va">voting_decision_cantonal_proportional_election_1_party</span>,</span></span>
<span class="r-in"><span>  to_type <span class="op">=</span> <span class="st">"short"</span>,</span></span>
<span class="r-in"><span>  ballot_date <span class="op">=</span> <span class="st">"2024-10-20"</span>,</span></span>
<span class="r-in"><span>  lvl <span class="op">=</span> <span class="st">"cantonal"</span>,</span></span>
<span class="r-in"><span>  canton <span class="op">=</span> <span class="st">"aargau"</span>,</span></span>
<span class="r-in"><span>  election_nr <span class="op">=</span> <span class="fl">1L</span>,</span></span>
<span class="r-in"><span>  past <span class="op">=</span> <span class="cn">FALSE</span></span></span>
<span class="r-in"><span><span class="op">)</span></span></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># after</span></span></span>
<span class="r-in"><span><span class="fu"><a href="https://rdrr.io/r/base/levels.html" class="external-link">levels</a></span><span class="op">(</span><span class="va">fct_new</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [1] "keine"                 "SVP"                   "SP / JUSO"             "FDP / Jungfreisinnige" "Mitte"                 "Grüne / Junge Grüne"  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [7] "GLP"                   "EVP"                   "EDU"                   "LOVB"                  "PPAG"                  "Fit"                  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [13] "NB"                    "DBP"                   "MASSVOLL"              "Musik"                </span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># set `strict = FALSE` if your factor contains non-standard levels</span></span></span>
<span class="r-in"><span><span class="va">d</span><span class="op">$</span><span class="va">voting_decision_cantonal_proportional_election_1_party</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">forcats</span><span class="fu">::</span><span class="fu"><a href="https://forcats.tidyverse.org/reference/fct_lump.html" class="external-link">fct_lump_min</a></span><span class="op">(</span>other_level <span class="op">=</span> <span class="st">"Kleinparteien"</span>,</span></span>
<span class="r-in"><span>                        min <span class="op">=</span> <span class="fl">5L</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">fct_relabel_election_parties</span><span class="op">(</span>to_type <span class="op">=</span> <span class="st">"short"</span>,</span></span>
<span class="r-in"><span>                               ballot_date <span class="op">=</span> <span class="st">"2024-10-20"</span>,</span></span>
<span class="r-in"><span>                               lvl <span class="op">=</span> <span class="st">"cantonal"</span>,</span></span>
<span class="r-in"><span>                               canton <span class="op">=</span> <span class="st">"aargau"</span>,</span></span>
<span class="r-in"><span>                               election_nr <span class="op">=</span> <span class="fl">1L</span>,</span></span>
<span class="r-in"><span>                               past <span class="op">=</span> <span class="cn">FALSE</span>,</span></span>
<span class="r-in"><span>                               strict <span class="op">=</span> <span class="cn">FALSE</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu"><a href="https://rdrr.io/r/base/levels.html" class="external-link">levels</a></span><span class="op">(</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [1] "keine"                 "SVP"                   "SP / JUSO"             "FDP / Jungfreisinnige" "Mitte"                 "Grüne / Junge Grüne"  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [7] "GLP"                   "EVP"                   "EDU"                   "MASSVOLL"              "Kleinparteien"        </span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

